<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('won_losts', function (Blueprint $table) {
            $table->dateTime('closed_date')->nullable()->change();
            $table->dateTime('delivery_date')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('won_losts', function (Blueprint $table) {
            $table->date('closed_date')->nullable()->change();
            $table->date('delivery_date')->nullable()->change();
        });
    }
};
